# Uses of Interface
org.apache.solr.common.util.RetryUtil.RetryCmd

Packages that use RetryUtil.RetryCmd
Package
Description
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of RetryUtil.RetryCmd in org.apache.solr.common.util

Methods in org.apache.solr.common.util with parameters of type RetryUtil.RetryCmd
Modifier and Type
Method
Description
`static void`
RetryUtil.`retryOnException(Class<? extends Exception> clazz, long timeoutms, long intervalms, RetryUtil.RetryCmd cmd)`
Retries a command when a specific exception type occurs, until successful or timeout is reached.
`static void`
RetryUtil.`retryOnException(Set<Class<? extends Exception>> classes, long timeoutms, long intervalms, RetryUtil.RetryCmd cmd)`
Retries a command when any of the specified exception types occur, until successful or timeout is reached.